## python-faraday 4.5.1

=== requirements.txt ===
PyJWT>=2.3.0
werkzeug>=1.0.0,<2.1.0
autobahn>=22.7.1
alembic>=0.9.9
bcrypt>=3.1.4
colorama>=0.3.9
click>=8.0.1
flask>=1.1,<=2.1.3
Flask-SQLAlchemy>=2.3.1,<=2.5.1
flask-classful>=0.14
email_validator
Flask-WTF>=0.15.1,<=1.0.1
WTForms>=2.1
flask-login>=0.5.0,<0.6.0
Flask-Security-Too>=4.0.0,<5.0.0
bleach>=4.1.0,<5.0.0
marshmallow>=3.19.0
Pillow>=4.2.1,<=9.4.0
psycopg2
pgcli
cryptography>=40.0.1
pyopenssl>=23.1.1
python-dateutil>=2.6.0
requests>=2.18.4
pyasn1
service_identity>=17.0.0
SQLAlchemy>=1.2.0,<1.4.0
tqdm>=4.15.0
twisted>=18.9.0,<22.8.0
webargs>=7.0.0
marshmallow-sqlalchemy>=0.26.1,<0.28.1
filteralchemy-fork
filedepot>=0.5.0
nplusone>=0.8.1
syslog-rfc5424-formatter>=1.1.1
simplekv>=0.13.0
Flask-KVSession-fork>=0.6.4
distro>=1.4.0
faraday-plugins>=1.12.1,<2.0.0
apispec>=6.3.0
apispec-webframeworks>=0.5.2
pyyaml
bidict==0.22.0
Flask-SocketIO>=5.0.1
pyotp>=2.6.0
Flask-Limiter>=1.3.1,<1.4.0
Flask-Mail
faraday-agent-parameters-types>=1.3.0
cvss>=2.5

=== debian/changelog ===
python-faraday (4.5.1-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 16:50:21 +0200

python-faraday (4.5.1-0kali1) kali-dev; urgency=medium

  * New upstream version 4.5.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 Jul 2023 09:16:58 +0200

python-faraday (4.4.0-0kali2) kali-dev; urgency=medium

  * Refresh patches
  * Embed flask_security 4.0.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 11 Jul 2023 14:48:37 +0200

python-faraday (4.4.0-0kali1) kali-dev; urgency=medium

  * New upstream version 4.4.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 02 Jun 2023 14:45:28 +0200

python-faraday (4.3.5-0kali1) kali-dev; urgency=medium

  * New upstream version 4.3.5
  * Refresh patches
  * Add minimal required version of python3-filteralchemy

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 Apr 2023 11:33:48 +0200

python-faraday (4.3.3-0kali1) kali-dev; urgency=medium

  * New upstream version 4.3.3
  * Refresh patches
  * d/control: Add python3-flaskext.wtf and update required versions

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 17 Feb 2023 09:53:04 +0100

python-faraday (4.3.2-0kali3) kali-dev; urgency=medium

  * Revert "Add old version of flask_security (patched version 4.0.0-1kali1)"

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 31 Jan 2023 16:58:18 +0100

python-faraday (4.3.2-0kali2) kali-dev; urgency=medium

  * Remove python3-flask-session from build-dep
  * Fix dependency: python3-psycopg2 is required not python3-psycopg3
  * Fix for flask-wtf >=1.1.1
  * Add old version of flask_security (patched version 4.0.0-1kali1)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 31 Jan 2023 08:36:35 +0100

python-faraday (4.3.2-0kali1) kali-dev; urgency=medium

  * New upstream version 4.3.2
  * Refresh patches
  * Add a patch for flask-limiter >=3.0.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 10 Jan 2023 18:05:48 +0100

python-faraday (4.3.1-0kali1) kali-dev; urgency=medium

  * New upstream version 4.3.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Dec 2022 15:01:19 +0100

python-faraday (4.3.0-0kali2) kali-dev; urgency=medium

  * Use current package python3-flask-login
  * Remove restrictions of flask versions
  * Add version 2.5.1 of flask-sqlalchemy
  * Remove restrictions of versions

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 Dec 2022 17:59:09 +0100

python-faraday (4.3.0-0kali1) kali-dev; urgency=medium

  * New upstream version 4.3.0
  * Refresh patches
  * Import upstream patch flask_login for werkzeug >=2.2
  * Update minimal required versions

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 07 Dec 2022 10:17:02 +0100

python-faraday (4.2.0-0kali2) kali-dev; urgency=medium

  * Use packaged python3-itsdangerous (see
    https://github.com/infobyte/faraday/issues/446)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 14 Nov 2022 15:53:46 +0100

python-faraday (4.2.0-0kali1) kali-dev; urgency=medium

  * New upstream version 4.2.0
  * Refresh patches
  * Remove testing suite of embedded sqlalchemy + add old flask_login
  * Use old flaks_login version 0.5.0
  * Update lintian-overrides
  * Bump Standards-Version to 4.6.1 (no changes)
  * Update debian/copyright
  * Update minimal required version of python3-faraday-plugins

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 08 Nov 2022 09:34:20 +0100

python-faraday (4.1.0-0kali2) kali-dev; urgency=medium

  * Add missing dep python3-psycopg3

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 28 Sep 2022 08:23:16 +0200

python-faraday (4.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 4.1.0
  * Refresh patches
  * Add missing python3-cvss
  * Update minimal required version of python3-faraday-plugins
  * Update debian/copyright
  * Udpate upstream/metadata
  * Remove useless include-binaries

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 27 Sep 2022 11:56:16 +0200

python-faraday (4.0.4+git20220701-0kali2) kali-dev; urgency=medium

  * Do not run "change password". The installer generates a passowrd at first
    run.

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 03 Aug 2022 17:40:22 +0200

python-faraday (4.0.4+git20220701-0kali1) kali-dev; urgency=medium

  * New upstream version 4.0.4+git20220701
  * faraday now includes frontend: change deps accordingly
  * Fix installation of frontend

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 02 Aug 2022 13:49:18 +0200

python-faraday (4.0.4-0kali1) kali-dev; urgency=medium

  * New upstream version 4.0.4
  * Add missing build-depends python3-jwt
  * Refresh patches
  * Update minimal versions requirements
  * Update Recommends field:
    - replace obsolete faraday-client with faraday-cli
    - add faraday-agent-dispatcher
  * Remove obsolete docs build
  * Disable 3 other tests

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 29 Jul 2022 15:40:33 +0200

python-faraday (3.19.0-0kali3) kali-dev; urgency=medium

  * Remove python3-selenium as it's not longer used

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 21 Jun 2022 18:31:30 +0200

python-faraday (3.19.0-0kali2) kali-dev; urgency=medium

  * Add embedded itsdangerous

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 13 Apr 2022 17:26:50 +0200

python-faraday (3.19.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.19.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 11 Jan 2022 11:47:42 +0100

python-faraday (3.18.1-0kali3) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Consistency with tabs to spaces
  * Remove template comment and switch spaces to tabs

  [ Sophie Brun ]
  * Embed sqlalchemy version 1.3.22. Revert when
    https://github.com/infobyte/faraday/issues/441 is fixed.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 Dec 2021 17:02:19 +0100



=== debian/control ===
Source: python-faraday
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-alembic,
               python3-apispec,
               python3-apispec-webframeworks,
               python3-autobahn,
               python3-bcrypt,
               python3-bleach,
	       python3-cvss,
               python3-faraday-agent-parameters-types (>= 1.2.0),
               python3-faraday-plugins (>= 1.12.0),
               python3-filedepot,
               python3-filteralchemy,
               python3-flask,
               python3-flask-classful (>= 0.15.0~),
               python3-flask-kvsession (>= 0.6.4),
               python3-flask-limiter (>= 3.0.0),
               python3-flask-principal,
#               python3-flask-security (>= 4.0.0-1parrot1),
               python3-flask-sqlalchemy (>=2.3.0),
               python3-flask-socketio (>= 5.3.0),
	       python3-flaskext.wtf,
               python3-hypothesis,
	       python3-itsdangerous,
	       python3-jwt,
               python3-marshmallow (>= 3.0.0),
               python3-marshmallow-sqlalchemy (>= 0.26.0),
               python3-mock,
               python3-mockito (>= 1.2.2-2),
               python3-nplusone (>= 1.0.0-0parrot1),
               python3-pil,
               python3-pyotp,
               python3-pytest,
               python3-pytest-factoryboy,
               python3-pytest-runner,
               python3-requests,
               python3-setuptools,
               python3-simplekv,
               python3-sqlalchemy,
               python3-syslog-rfc5424-formatter,
               python3-tqdm,
               python3-twisted,
               python3-webargs (>= 7.0.0),
Standards-Version: 4.6.1
Homepage: https://faradaysec.com

Package: faraday
Architecture: all
Depends: ${python3:Depends},
         curl,
         gir1.2-gtk-3.0,
         gir1.2-vte-2.91,
         pgcli,
         postgresql,
         python3-distutils,
         python3-faraday-agent-parameters-types (>= 1.2.0),
         python3-faraday-plugins (>= 1.12.0),
         python3-filteralchemy (>= 0.1.0+git20190401-0parrot1),
         python3-flask-classful (>= 0.15.0~),
	 python3-flask-principal,
         python3-flask-limiter (>= 3.0.0),
#         python3-flask-security (>= 4.0.0-1parrot1),
         python3-flask-socketio (>= 5.3.0),
         python3-nplusone (>= 1.0.0-0parrot1),
	 python3-psycopg2,
         python3-sqlalchemy-schemadisplay,
         python3-tornado,
         python3-webargs (>= 7.0.0),
         sudo,
         xdg-utils,
         zsh | zsh-beta,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-font-awesome,
            python3-bs4,
            faraday-cli,
	    faraday-agent-dispatcher,
            ruby | ruby-interpreter
Conflicts: python3-flask-babelex
Replaces: python-faraday (<< 3.10.0), faraday-angular-frontend (<< 0)
Breaks: python-faraday (<< 3.10.0), faraday-angular-frontend (<< 0)
Provides: python-faraday, faraday-angular-frontend
Description: Collaborative Penetration Test IDE
 Faraday introduces a new concept (IPE) Integrated Penetration-Test Environment
 a multiuser Penetration test IDE. Designed for distribution, indexation and
 analysis of the generated data during the process of a security audit.
 .
 The main purpose of Faraday is to re-use the available tools in the community
 to take advantage of them in a multiuser way.
 .
 This package no longer contains the GTK client like the upstream repo.

Package: python-faraday
Architecture: all
Depends: faraday,
         ${misc:Depends}
Section: oldlibs
Description: Collaborative Penetration Test IDE
 Faraday introduces a new concept (IPE) Integrated Penetration-Test Environment
 a multiuser Penetration test IDE. Designed for distribution, indexation and
 analysis of the generated data during the process of a security audit.
 .
 The main purpose of Faraday is to re-use the available tools in the community
 to take advantage of them in a multiuser way.
 .
 This package is a transitional package. It can be remove safely.

## python-faraday 5.15.3

=== debian/changelog ===
python-faraday (5.15.3-0kali1) kali-dev; urgency=medium

  * New upstream version 5.15.3
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Thu, 07 Aug 2025 14:56:48 +0200

python-faraday (5.14.1-0kali1) kali-dev; urgency=medium

  * New upstream version 5.14.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 05 Jun 2025 11:56:18 +0200

python-faraday (5.14.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.14.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 May 2025 12:00:48 +0200

python-faraday (5.13.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.13.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 25 Apr 2025 14:26:49 +0200

python-faraday (5.12.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.12.0
  * Refresh patches
  * Update minimal required version of python3-faraday-plugins

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 20 Mar 2025 09:53:01 +0100

python-faraday (5.11.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.11.0
  * Update debian/copyright
  * Refresh patches
  * Add dep on python3-standard-imghdr

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 31 Jan 2025 16:00:14 +0100

python-faraday (5.10.1-0kali1) kali-dev; urgency=medium

  * New upstream version 5.10.1

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 15 Jan 2025 15:05:11 +0100

python-faraday (5.10.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.10.0
  * Refresh patches
  * Remove Workaround-for-eventlet-trio-issue.patch
  * Bump Standards-Version to 4.7.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 Jan 2025 14:51:03 +0100

python-faraday (5.9.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.9.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 27 Nov 2024 10:05:57 +0100

python-faraday (5.8.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.8.0
  * Refresh patches
  * Update minimal versions of build-deps and deps

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 29 Oct 2024 11:37:05 +0100

python-faraday (5.7.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.7.0
  * Refresh patches
  * Update minimal versions of faraday-plugins and faraday-agent-parameters-types

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 26 Sep 2024 15:02:03 +0200

python-faraday (5.6.1-0kali1) kali-dev; urgency=medium

  * New upstream version 5.6.1
  * Update minimal required version of python3-faraday-plugins
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 06 Sep 2024 11:50:49 +0200

python-faraday (5.6.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.6.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 26 Aug 2024 15:46:01 +0200

python-faraday (5.5.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.5.0
  * Add dependency python3-croniter
  * Refresh eventlet/trio patch

 -- Arnaud Rebillout <arnaudr@kali.org>  Sun, 18 Aug 2024 17:17:28 +0700

python-faraday (5.4.1-0kali2) kali-rolling; urgency=medium

  * Rework patch for eventlet/trio issue
  * Try to upload directly in kali-rolling

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 16 Aug 2024 14:11:07 +0700

python-faraday (5.4.1-0kali1) kali-dev; urgency=medium

  * Remove obsolete deps python3-distutils
  * New upstream version 5.4.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 06 Aug 2024 11:03:02 +0200

python-faraday (5.3.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.3.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 27 May 2024 14:50:24 +0200

python-faraday (5.2.2-0kali1) kali-dev; urgency=medium

  * New upstream version 5.2.2

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 18 Apr 2024 14:45:22 +0200

python-faraday (5.2.1-0kali1) kali-dev; urgency=medium

  * New upstream version 5.2.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 26 Mar 2024 17:47:34 +0100

python-faraday (5.2.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.2.0
  * Update minimal required versions
  * Remove link debian/vendor/werkzeug/debug/shared/jquery.js

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 15 Mar 2024 11:32:45 +0100

python-faraday (5.1.1-0kali4) kali-dev; urgency=medium

  * Fix AttributeError issue (select / epoll)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 Feb 2024 14:32:57 +0100

python-faraday (5.1.1-0kali3) kali-dev; urgency=medium

  * Use embedded werkzeug (we need a version < 3.*)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Feb 2024 15:55:22 +0100

python-faraday (5.1.1-0kali2) kali-dev; urgency=medium

  * Add a patch to add a workaround for eventlet issue

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 16 Feb 2024 10:52:29 +0100

python-faraday (5.1.1-0kali1) kali-dev; urgency=medium

  * New upstream version 5.1.1
  * Update minimal required versions

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 12 Feb 2024 16:31:08 +0100

python-faraday (5.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.1.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 09 Feb 2024 11:28:16 +0100

python-faraday (5.0.1-0kali1) kali-dev; urgency=medium

  * New upstream version 5.0.1
  * Refresh patches
  * Update build-deps
  * Add missing python3-flask-celery-helper
  * Fix add missing python3-flask-celery-helper
  * Refresh patches
  * Add a service faraday-worker
  * Use sudo to migrate the database
  * Use flask <= 2.1.3
  * Add vendor in path
  * add 2 patches
  * Regroup patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 19 Jan 2024 15:10:28 +0100

python-faraday (4.6.2-0kali1) kali-dev; urgency=medium

  * New upstream version 4.6.2
  * Update required version of python3-faraday-plugins



=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: python-faraday
 Section: python
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
@@ -12,9 +12,11 @@
                python3-autobahn,
                python3-bcrypt,
                python3-bleach,
-	       python3-cvss,
-               python3-faraday-agent-parameters-types (>= 1.2.0),
-               python3-faraday-plugins (>= 1.12.0),
+	       python3-celery,
+               python3-croniter,
+	       python3-cvss (>= 3.1),
+               python3-faraday-agent-parameters-types (>= 1.7.2),
+               python3-faraday-plugins (>= 1.23.0),
                python3-filedepot,
                python3-filteralchemy,
                python3-flask,
@@ -22,10 +24,12 @@
                python3-flask-kvsession (>= 0.6.4),
                python3-flask-limiter (>= 3.0.0),
                python3-flask-principal,
-#               python3-flask-security (>= 4.0.0-1parrot1),
+#               python3-flask-security (>= 4.0.0-1kali1),
                python3-flask-sqlalchemy (>=2.3.0),
                python3-flask-socketio (>= 5.3.0),
 	       python3-flaskext.wtf,
+	       python3-gevent,
+	       python3-gevent-websocket,
                python3-hypothesis,
 	       python3-itsdangerous,
 	       python3-jwt,
@@ -33,22 +37,26 @@
                python3-marshmallow-sqlalchemy (>= 0.26.0),
                python3-mock,
                python3-mockito (>= 1.2.2-2),
-               python3-nplusone (>= 1.0.0-0parrot1),
+               python3-nplusone (>= 1.0.0-0kali4),
                python3-pil,
+	       python3-psycogreen,
                python3-pyotp,
                python3-pytest,
                python3-pytest-factoryboy,
                python3-pytest-runner,
+	       python3-redis,
                python3-requests,
                python3-setuptools,
+	       python3-sh,
                python3-simplekv,
                python3-sqlalchemy,
                python3-syslog-rfc5424-formatter,
                python3-tqdm,
-               python3-twisted,
                python3-webargs (>= 7.0.0),
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://faradaysec.com
+Vcs-Git: https://gitlab.com/kalilinux/packages/python-faraday.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/python-faraday
 
 Package: faraday
 Architecture: all
@@ -58,18 +66,19 @@
          gir1.2-vte-2.91,
          pgcli,
          postgresql,
-         python3-distutils,
-         python3-faraday-agent-parameters-types (>= 1.2.0),
-         python3-faraday-plugins (>= 1.12.0),
-         python3-filteralchemy (>= 0.1.0+git20190401-0parrot1),
+         python3-faraday-agent-parameters-types (>= 1.7.2),
+         python3-faraday-plugins (>= 1.23.0),
+         python3-filteralchemy (>= 0.1.0+git20190401-0kali2),
+	 python3-flask-celery-helper,
          python3-flask-classful (>= 0.15.0~),
 	 python3-flask-principal,
          python3-flask-limiter (>= 3.0.0),
-#         python3-flask-security (>= 4.0.0-1parrot1),
+#         python3-flask-security (>= 4.0.0-1kali1),
          python3-flask-socketio (>= 5.3.0),
-         python3-nplusone (>= 1.0.0-0parrot1),
+         python3-nplusone (>= 1.0.0-0kali4),
 	 python3-psycopg2,
          python3-sqlalchemy-schemadisplay,
+	 python3-standard-imghdr,
          python3-tornado,
          python3-webargs (>= 7.0.0),
          sudo,

## python-faraday 5.16.0

=== requirements.txt ===
PyJWT>=2.3.0
werkzeug>=1.0.0,<2.1.0
autobahn>=22.7.1
alembic>=0.9.9
bcrypt>=3.1.4
colorama>=0.3.9
click>=8.0.1
flask>=1.1,<=2.1.3
Flask-SQLAlchemy>=2.3.1,<=2.5.1
flask-classful>=0.14,<0.16
email_validator
validators
Flask-WTF>=0.15.1,<=1.0.1
WTForms>=2.1
flask-login>=0.5.0,<0.6.0
Flask-Security-Too>=4.0.0,<5.0.0
bleach>=4.1.0,<5.0.0
marshmallow>=3.19.0,<4.0.0
Pillow>=10.2.0
psycopg2
pgcli
cryptography>=40.0.1
pyopenssl>=23.1.1
python-dateutil>=2.6.0
requests>=2.18.4
pyasn1
service_identity>=17.0.0
SQLAlchemy>=1.2.0,<1.4.0
tqdm>=4.15.0
webargs>=7.0.0
marshmallow-sqlalchemy>=0.26.1,<0.28.1
filteralchemy-fork
filedepot>=0.5.0,<0.11.0
nplusone>=0.8.1
syslog-rfc5424-formatter>=1.1.1
simplekv>=0.13.0
Flask-KVSession-fork>=0.6.4
distro>=1.4.0
faraday-plugins>=1.26.0,<2.0.0
apispec>=6.3.0
apispec-webframeworks<=0.5.2
pyyaml
bidict==0.22.0
Flask-SocketIO>=5.0.1
pyotp>=2.6.0
Flask-Limiter>=1.3.1,<1.4.0
Flask-Mail
faraday-agent-parameters-types>=1.9.0
cvss>=3.1
celery==5.4.0
kombu==5.4.2
gevent>=22.10.2
psycogreen>=1.0.2
Flask-Celery-Helper>=1.1.0
redis>=4.3.4
gevent-websocket>=0.10.1
sh
elasticsearch>=7.16.3
croniter>=0.3.30

=== debian/changelog ===
python-faraday (5.16.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.16.0
  * Update minimal required versions
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Thu, 28 Aug 2025 17:11:05 +0200

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
 	       python3-celery,
                python3-croniter,
 	       python3-cvss (>= 3.1),
-               python3-faraday-agent-parameters-types (>= 1.7.2),
-               python3-faraday-plugins (>= 1.23.0),
+               python3-faraday-agent-parameters-types (>= 1.9.0),
+               python3-faraday-plugins (>= 1.26.0),
                python3-filedepot,
                python3-filteralchemy,
                python3-flask,
@@ -66,8 +66,8 @@
          gir1.2-vte-2.91,
          pgcli,
          postgresql,
-         python3-faraday-agent-parameters-types (>= 1.7.2),
-         python3-faraday-plugins (>= 1.23.0),
+         python3-faraday-agent-parameters-types (>= 1.9.0),
+         python3-faraday-plugins (>= 1.26.0),
          python3-filteralchemy (>= 0.1.0+git20190401-0kali2),
 	 python3-flask-celery-helper,
          python3-flask-classful (>= 0.15.0~),

## python-faraday 5.17.0

=== requirements.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
 simplekv>=0.13.0
 Flask-KVSession-fork>=0.6.4
 distro>=1.4.0
-faraday-plugins>=1.26.0,<2.0.0
+faraday-plugins>=1.27.0,<2.0.0
 apispec>=6.3.0
 apispec-webframeworks<=0.5.2
 pyyaml
@@ -45,7 +45,7 @@
 pyotp>=2.6.0
 Flask-Limiter>=1.3.1,<1.4.0
 Flask-Mail
-faraday-agent-parameters-types>=1.9.0
+faraday-agent-parameters-types>=1.9.1
 cvss>=3.1
 celery==5.4.0
 kombu==5.4.2

=== debian/changelog ===
python-faraday (5.17.0-0kali2) kali-dev; urgency=medium

  * Add missing dep python3-setuptools

 -- Sophie Brun <sophie@kali.org>  Wed, 08 Oct 2025 17:52:26 +0200

python-faraday (5.17.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.17.0
  * Update my email
  * Refresh patches
  * Add missing redis-server
  * Add alembic version 1.13.2

 -- Sophie Brun <sophie@kali.org>  Wed, 08 Oct 2025 15:43:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
+Uploaders: Sophie Brun <sophie@kali.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
@@ -77,10 +77,12 @@
          python3-flask-socketio (>= 5.3.0),
          python3-nplusone (>= 1.0.0-0kali4),
 	 python3-psycopg2,
+	 python3-setuptools,
          python3-sqlalchemy-schemadisplay,
 	 python3-standard-imghdr,
          python3-tornado,
          python3-webargs (>= 7.0.0),
+	 redis-server,
          sudo,
          xdg-utils,
          zsh | zsh-beta,

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_TEST_ARGS=-k "not TestGetExploits and not test_update_command and not test_start_and_kill_faraday_server and not test_create_agent_without_name_fails and not test_create_agent_invalid_payload and not test_vuln_filter_exception and not test_vuln_restless_sort_by_ and not test_vuln_web_filter_exception and not test_filter_by_creator_command_id and not test_openapi_format and not test_filter_by_querystring and not test_websocket_BroadcastServerProtocol and not test_vuln_filter and not test_yaml_docs_with_no_doc and not test_yaml_docs_with_defaults and not test_tags_sorted_correctly and not test_export_csv_with_false_argument and not test_export_csv_with_filters and not test_export_csv_from_filters_endpoint"
#export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	# remove unwanted files: .gitignore and useless README
	rm debian/faraday/usr/lib/python3*/dist-packages/faraday/migrations/versions/.gitignore
	rm debian/faraday/usr/lib/python3*/dist-packages/faraday/migrations/README
	# copy vendor to embed sqlalchemy and other Python modules
	cp -r debian/vendor/* debian/faraday/usr/lib/python3*/dist-packages/faraday/vendor
	# install www files in /usr/share instead of /usr/lib/python3
	cp -r debian/faraday/usr/lib/python3*/dist-packages/faraday/server/www debian/faraday/usr/share/faraday/server
	rm -rf debian/faraday/usr/lib/python3*/dist-packages/faraday/server/www

override_dh_installchangelogs:
	dh_installchangelogs RELEASE.md

override_dh_auto_test:
#	export PYTHONPATH=$(CURDIR)/debian/vendor:$(PYTHONPATH) && dh_auto_test
#	skip tests as they fail with python3-flask-login >= 0.6 (see
#	https://github.com/infobyte/faraday/issues/456)

=== debian/watch ===
version=4
opts="uversionmangle=s/b/~b/" \
https://github.com/infobyte/faraday/tags .*/v?(\d.*)\.tar\.gz

## python-faraday 5.18.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 werkzeug>=1.0.0,<2.1.0
 autobahn>=22.7.1
 alembic>=0.9.9
-bcrypt>=3.1.4
+bcrypt<5.0.0
 colorama>=0.3.9
 click>=8.0.1
 flask>=1.1,<=2.1.3
@@ -36,7 +36,7 @@
 simplekv>=0.13.0
 Flask-KVSession-fork>=0.6.4
 distro>=1.4.0
-faraday-plugins>=1.27.0,<2.0.0
+faraday-plugins>=1.27.1,<2.0.0
 apispec>=6.3.0
 apispec-webframeworks<=0.5.2
 pyyaml

=== debian/changelog ===
python-faraday (5.18.0-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * No need for sudo when test has the needs-root restriction already

  [ Sophie Brun ]
  * New upstream version 5.18.0
  * Refresh patches
  * Update build-dep and deps

 -- Sophie Brun <sophie@kali.org>  Tue, 06 Jan 2026 11:41:06 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	       python3-celery,
                python3-croniter,
 	       python3-cvss (>= 3.1),
-               python3-faraday-agent-parameters-types (>= 1.9.0),
+               python3-faraday-agent-parameters-types (>= 1.9.1),
                python3-faraday-plugins (>= 1.26.0),
                python3-filedepot,
                python3-filteralchemy,
@@ -66,11 +66,12 @@
          gir1.2-vte-2.91,
          pgcli,
          postgresql,
-         python3-faraday-agent-parameters-types (>= 1.9.0),
+         python3-faraday-agent-parameters-types (>= 1.9.1),
          python3-faraday-plugins (>= 1.26.0),
          python3-filteralchemy (>= 0.1.0+git20190401-0kali2),
 	 python3-flask-celery-helper,
          python3-flask-classful (>= 0.15.0~),
+         python3-flask-kvsession (>= 0.6.4),
 	 python3-flask-principal,
          python3-flask-limiter (>= 3.0.0),
 #         python3-flask-security (>= 4.0.0-1kali1),
@@ -80,6 +81,7 @@
 	 python3-setuptools,
          python3-sqlalchemy-schemadisplay,
 	 python3-standard-imghdr,
+	 python3-syslog-rfc5424-formatter,
          python3-tornado,
          python3-webargs (>= 7.0.0),
 	 redis-server,

## python-faraday 5.19.0

=== requirements.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
 simplekv>=0.13.0
 Flask-KVSession-fork>=0.6.4
 distro>=1.4.0
-faraday-plugins>=1.27.1,<2.0.0
+faraday-plugins>=1.27.2,<2.0.0
 apispec>=6.3.0
 apispec-webframeworks<=0.5.2
 pyyaml

=== debian/changelog ===
python-faraday (5.19.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.19.0
  * Refresh patches
  * Update minimal required versions of python3-faraday-plugins

 -- Sophie Brun <sophie@kali.org>  Wed, 28 Jan 2026 11:21:55 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-croniter,
 	       python3-cvss (>= 3.1),
                python3-faraday-agent-parameters-types (>= 1.9.1),
-               python3-faraday-plugins (>= 1.26.0),
+               python3-faraday-plugins (>= 1.27.2),
                python3-filedepot,
                python3-filteralchemy,
                python3-flask,
@@ -67,7 +67,7 @@
          pgcli,
          postgresql,
          python3-faraday-agent-parameters-types (>= 1.9.1),
-         python3-faraday-plugins (>= 1.26.0),
+         python3-faraday-plugins (>= 1.27.2),
          python3-filteralchemy (>= 0.1.0+git20190401-0kali2),
 	 python3-flask-celery-helper,
          python3-flask-classful (>= 0.15.0~),
